Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server.session
Class AbstractSessionManager.NullSessionContext

    java.lang.Object
      org.eclipse.jetty.server.session.AbstractSessionManager.NullSessionContext

All Implemented Interfaces:
  HttpSessionContext

Enclosing class:
  AbstractSessionManager

    public static class AbstractSessionManager.NullSessionContext

extends java.lang.Object
implements HttpSessionContext

Null returning implementation of HttpSessionContext

Method Summary
`java.util.Enumeration` | `getIds()` Deprecated. From HttpSessionContext
`HttpSession` | `getSession(java.lang.String id)` Deprecated. From HttpSessionContext

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIds

    @Deprecated
    public java.util.Enumeration getIds()

  Deprecated. From HttpSessionContext

  Specified by:
    `getIds` in interface `HttpSessionContext`

### getSession

    @Deprecated
    public HttpSession getSession(java.lang.String id)

  Deprecated. From HttpSessionContext

  Specified by:
    `getSession` in interface `HttpSessionContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.